SDL_MessageBoxFlags(3type)

NAME
SDL_MessageBoxFlags - Message box flags.

SYNOPSIS
#include <SDL3/SDL_messagebox.h>

typedef Uint32 SDL_MessageBoxFlags;

#define SDL_MESSAGEBOX_ERROR                    0x00000010u /**< error dialog */
#define SDL_MESSAGEBOX_WARNING                  0x00000020u /**< warning dialog */
#define SDL_MESSAGEBOX_INFORMATION              0x00000040u /**< informational dialog */
#define SDL_MESSAGEBOX_BUTTONS_LEFT_TO_RIGHT    0x00000080u /**< buttons placed left to right */
#define SDL_MESSAGEBOX_BUTTONS_RIGHT_TO_LEFT    0x00000100u /**< buttons placed right to left */

DESCRIPTION
If supported will display warning icon, etc.

AVAILABILITY
This datatype is available since SDL 3.2.0.